import React from 'react';
import './FormField.global.less';
declare type BaseFormFieldInterface = {
    children: any;
    name: string;
    label?: React.ReactNode;
    layout?: 'horizontal' | 'vertical';
    required?: boolean;
    className?: string;
    style?: any;
};
declare type FormFieldWithRest = BaseFormFieldInterface & Record<string, any>;
declare const FormField: ({ children, name, label, layout, required, style, className, ...rest }: FormFieldWithRest) => any;
export default FormField;
export * from './pure-field/FormikEnhance';
